
class leda_mutex {

public:

  leda_mutex()  {}
 ~leda_mutex()  {}

  void acquire() {}
  void lock()    {}
  void enter()   {}

  void release() {}
  void unlock()  {}
  void exit() {}

  int trylock()  { return 0; }
  int tryenter() { return 0; }
  
}; 
